# com.ibm.iaccess.AcsBaseDirectory determines the configuration location.
#
# Special keywords are provided which can be used when defining the configuration
# path.  When the keywords are used in the specified path, the keywords will be
# substituted with the text or path they define.  Only one keyword can be used
# in the configuration path.  The special keywords and their meanings are:  
# 	{USER} - The current user id. This keyword can be anywhere in the path
# The following keywords can only be at the beginning of the specified path:
#	{PRODUCTDIR} - the path to the same directory as acsbundle.jar
# 	{TEMPDIR} - the path to a platform specific temporary directory
# 	{ROOT} - the path to the root of the file system
# 	{HOME} - the path to the user's home directory
# 	{DEFAULT} - the default path the product would normally use
#
# Technical Note:
# We do not recommend sharing a configuration between multiple users.
# For example, if X were a shared network drive, the following setting may
# cause unpredictable results: 
#     com.ibm.iaccess.AcsBaseDirectory=X:/Shared_Network_drive/config_directory
# There are several problems with multiple users sharing this configuration path:
# 1. Unpredictable results will occur if multiple users simultaneously use the
#    configuration.
# 2. This example assumes each user has the X drive mapped to the same location.
# 3. Using a network drive in the configuration would not work from a Linux or
#    Mac client.  Using the provided keywords, as in the examples below,
#    will work on Windows, Linux and Mac.
# 
# When sharing a configuration path between multiple users, the {USER}
# keyword should be used to avoid collisions with other users.  It will
# be substituted with the user id of the current user.     
# 
# When setting the configuration path, use a forward slash ('/') instead of a
# backward slash ('\') as the directory separator.  This will work on all
# operating systems including Windows.
# 
# Here are some recommended sample configurations:
# 
# Example 1 - local configuration for current user (default):
#     com.ibm.iaccess.AcsBaseDirectory=
# When AcsBaseDirectory is not set, the configuration defaults to a platform
# dependent path for the user.
# This is the default setting for IBM i Access Client Solutions.
# 
# Example 2 - remote (or local) configuration unique for each user:
#     com.ibm.iaccess.AcsBaseDirectory={ROOT}/config_directory/{USER}/
# The configuration will be remote or local based on the location of {ROOT}.
# 
# Example 3 - remote (or local) configuration unique for each user:
#     com.ibm.iaccess.AcsBaseDirectory={PRODUCTDIR}/config_directory/{USER}/
# The configuration will be remote or local based on the location of {PRODUCTDIR}.
# 
# Example 4 - local configuration on portable media (like USB drive):
#     com.ibm.iaccess.AcsBaseDirectory={PRODUCTDIR}/config_directory
# Since the path to the portable media will vary depending on the system where
# it is being used, this setting allows the configuration to be relative to
# the product files.  In this example, the {USER} keyword was intentially not
# specified so the configuration on the USB drive would be used by the user of
# the USB drive, regardless of the user ID.
# 
com.ibm.iaccess.AcsBaseDirectory=

# The following properties may be used to automatically set up a configuration
# for new users or to update a configuration for existing users:
#    com.ibm.iaccess.autoimport=<path-to-configuration-file>
#    com.ibm.iaccess.autoimport.version=<version>
# See the GettingStarted document for more details.

# com.ibm.iaccess.ExcludeComps may be used to restrict the usage of specific functions.
# This gives system administrators the ability to prevent specific functions from
# being available to their users.   Setting this property will remove the specified
# functions from the main GUI and will disable their usage from the command line.
#
# Keywords used to disable functions are:
#   DATAXFER  - Data Transfer to/from IBM i
#   EMULATOR  - 5250 Display/Print emulation and 5250 Session Manager
#   KEYMAN    - SSL certificate management
#   OPCONSOLE - Operations console and Virtual Control Panel
#   RMTCMD    - Remote Command (available from the command line)
#   SPLF      - Printer Output
#   HWCONSOLE - Hardware management interface
#   L1CPLUGIN - Navigator for i
#
# One or more of these keywords may be specified.
#
# Example 1:
#     com.ibm.iaccess.ExcludeComps=DATAXFER
# Example 2:
#     com.ibm.iaccess.ExcludeComps=KEYMAN,OPCONSOLE,HWCONSOLE,L1CPLUGIN
#

# Help text for the product normally displays in the configured desktop browser.
# In some cases, interaction with the browser does not work properly.  For those cases,
# or for when displaying the help text outside the configured browser is desired, set the 
# following property to false:
# com.ibm.iaccess.javaAwtDesktopAllowed=false

# Setting the property com.ibm.iaccess.DataCache=true will reduce working set size
# and will significantly reduce startup times when the product jar file is remote
# (e.g network share).
# com.ibm.iaccess.DataCache=true
